Difference between revisions of "Arch Rebar BeamReinforcement/it"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Arch Rebar BeamReinforcement")
 
(Created page with "====Esempio====")
 
(54 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{docnav|[[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars|ColumnReinforcement TwoTiesSixRebars]]|[[Arch_Rebar|Rebar]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_ColumnReinforcement.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar.png}}
+
{{docnav/it|[[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars/it|Rinforzo di colonna tipo due staffe e quattro barre]]|[[Arch_Rebar/it|Armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_ColumnReinforcement.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar.png}}
  
{{GuiCommand
+
{{GuiCommand/it
 
|Name=Arch Rebar BeamReinforcement
 
|Name=Arch Rebar BeamReinforcement
|MenuLocation=Arch → Rebar tools
+
|Name/it=Rinforzo trave
|Workbenches=[[Arch Workbench|Arch]], [[BIM Workbench|BIM]]
+
|MenuLocation=Arch → Strumenti armatura
|SeeAlso=[[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars|ColumnReinforcement TwoTiesSixRebars]], [[Arch Rebar]]
+
|Workbenches=[[Arch Workbench/it|Arch]], [[BIM Workbench/it|BIM]]
 +
|SeeAlso=[[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars/it|Rinforzo di colonna due staffe sei barre]], [[Arch Rebar/it|Armatura]]
 
|Version=0.19
 
|Version=0.19
 
}}
 
}}
  
==Description==
+
==Descrizione==
  
The [[Arch Rebar BeamReinforcement|Beam Reinforcement]] tool allows the user to create reinforcing bars inside a Beam [[Arch Structure]] object.
+
Lo strumento [[Arch Rebar BeamReinforcement/it|Rinforzo di trave]] consente all'utente di creare delle barre di rinforzo all'interno di un oggetto [[Arch Structure/it|Struttura]] Trave.
  
This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]] via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.
+
Questo comando fa parte del addon [[Reinforcement Addon/it|Reinforcement]], che si può installare con [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
  
 
[[Image:Arch_Rebar_BeamReinforcement_example.png]]
 
[[Image:Arch_Rebar_BeamReinforcement_example.png]]
{{Caption|Beam Reinforcement inside a Beam [[Arch Structure]]}}
 
  
==How to use==
+
{{Caption|Rinforzo di trave all'interno di una [[Arch Structure/it|Struttura]] trave}}
  
1. Select right face of a previously created beam {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object having length along x-axis. Or select front face of a previously created beam {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object having length along y-axis.<br>
+
== Utilizzo ==
2. Then select  {{Button|[[Image:Arch_Rebar_ColumnReinforcement.svg|16px]] [[Arch Rebar BeamReinforcement|Beam Reinforcement]]}} from the rebar tools. <br>
 
3. A dialog box will pop-out on screen as shown below. <br>
 
[[Image:BeamReinforcementDialog_Stirrups.png|700px]]{{Caption|Dialog Box for the Arch Rebar BeamReinforcement tool}}
 
  
4. Select the desired type of beam reinforcement. <br>
+
1. Seleziona la faccia destra di un oggetto {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/it|Struttura]]}} trave precedentemente creata, avente la lunghezza sull'asse x. Oppure seleziona la faccia anteriore di un oggetto {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/it|Struttura]]}} trave precedentemente creata, avente la lunghezza sull'asse y.
5. Give inputs for data related to stirrups. <br>
 
6. Click next and dialog box will be updated as shown below. <br>
 
[[Image:BeamReinforcementDialog_TopRebars.png|700px]]{{Caption|Dialog Box for Top Rebars data}}
 
  
7. Set data for top rebars. <br>
+
2. Quindi selezionare  {{Button|[[Image:Arch_Rebar_ColumnReinforcement.svg|16px]] [[Arch Rebar BeamReinforcement/it|Rinforzo di trave]]}} dagli Strumenti armatura.
  - To edit Number#Diameter@Offset value, click on edit button next to Number#Diameter@Offset label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_TopReinforcement_NumberDiameterOffset.png|500px]] <br>
 
  - To edit Rebar Type value, click on edit button next to Rebar Type label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_TopReinforcement_RebarType.png|300px]] <br>
 
  - To edit Hook Orientation value, click on edit button next to Hook Orientation label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_TopReinforcement_HookOrientation.png|300px]] <br>
 
  - To edit Hook Extension value, click on edit button next to Hook Extension label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_TopReinforcement_HookExtension.png|300px]] <br>
 
  - To edit LRebar Rounding value, click on edit button next to Rounding label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_TopReinforcement_LRebarRounding.png|300px]] <br>
 
  - To edit Layer Spacing value, click on edit button next to Layer Spacing label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_TopReinforcement_LayerSpacing.png|300px]] <br>
 
8. Click next and dialog box will be updated as shown below. <br>
 
[[Image:BeamReinforcementDialog_BottomRebars.png|700px]]{{Caption|Dialog Box for Bottom Rebars data}}
 
  
9. Set data for bottom rebars similar to top rebars data. <br>
+
3. Appare una finestra di dialogo come quella mostrata sotto.
10. Click next and dialog box will be updated as shown below. <br>
 
[[Image:BeamReinforcementDialog_LeftRebars.png|700px]]{{Caption|Dialog Box for Left Shear Rebars data}}
 
  
11. Set data for left shear rebars. <br>
+
[[Image:BeamReinforcementDialog_Stirrups.png|700px]]
  - To edit Number#Diameter@Offset value, click on edit button next to Number#Diameter@Offset label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_ShearReinforcement_NumberDiameterOffset.png|500px]] <br>
 
  - To edit Rebar Type value, click on edit button next to Rebar Type label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_ShearReinforcement_RebarType.png|300px]] <br>
 
  - To edit Hook Orientation value, click on edit button next to Hook Orientation label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_ShearReinforcement_HookOrientation.png|300px]] <br>
 
  - To edit Hook Extension value, click on edit button next to Hook Extension label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_ShearReinforcement_HookExtension.png|300px]] <br>
 
  - To edit LRebar Rounding value, click on edit button next to Rounding label. A dialog box will pop-out as shown below. <br>
 
  [[Image:Beam_ShearReinforcement_LRebarRounding.png|300px]] <br>
 
12. Click next and dialog box will be updated as shown below. <br>
 
[[Image:BeamReinforcementDialog_RightRebars.png|700px]]{{Caption|Dialog Box for Right Shear Rebars data}}
 
  
13. Set data for right shear rebars similar to left shear rebars data. <br>
+
{{Caption|Finestra di dialogo per lo strumento Rinforzo di trave}}
14. Click {{Button|OK}} or {{Button|Apply}} to generate beam reinforcement. <br>
 
15. Click {{Button|Cancel}} to exit the dialog box. <br>
 
  
 +
4. Selezionare il tipo desiderato di rinforzo di trave.
  
==Properties==  
+
Fornire gli input per i dati relativi alle staffe.
 +
 
 +
6. Fare clic su Avanti e la finestra di dialogo viene aggiornata come mostrato di seguito.
 +
 
 +
 
 +
[[Image:BeamReinforcementDialog_TopRebars.png|700px]]
 +
 
 +
{{Caption|Finestra di dialogo per i dati della parte superiore dell'armatura}}
 +
 
 +
 
 +
Impostare i dati per le armature superiori.
 +
 
 +
<!-- HERE YOUR COLOR EXAMPLE {{ColoredParagraph|Background|ColorText|text}} -->
 +
{{ColoredParagraph|#f8f9fa|
 +
 
 +
- Per editare i valori Number#Diameter@Offset, fare clic sul pulsante accanto all'etichetta Number#Diameter@Offset. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_TopReinforcement_NumberDiameterOffset.png|500px]]
 +
 
 +
- Per modificare il valore di Rebar Type, fare clic sul pulsante Modifica accanto all'etichetta Rebar Type. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_TopReinforcement_RebarType.png|300px]]
 +
 
 +
- Per modificare il valore di Orientamento gancio, fare clic sul pulsante Modifica accanto all'etichetta Hook Orientation. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_TopReinforcement_HookOrientation.png|300px]]
 +
 
 +
- Per modificare il valore dell'estensione del gancio, fare clic sul pulsante Modifica accanto all'etichetta Hook Extension. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_TopReinforcement_HookExtension.png|300px]]
 +
 
 +
- Per modificare il valore dell'arrotondamento della barra, fare clic sul pulsante Modifica accanto all'etichetta Rounding. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_TopReinforcement_LRebarRounding.png|300px]]
 +
 
 +
- Per modificare il valore di spaziatura dei livelli, fare clic sul pulsante Modifica accanto all'etichetta Layer Spacing. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_TopReinforcement_LayerSpacing.png|300px]]
 +
}}
 +
 
 +
6. Fare clic su Avanti e la finestra di dialogo viene aggiornata come mostrato di seguito.
 +
 
 +
[[Image:BeamReinforcementDialog_BottomRebars.png|700px]]
 +
 
 +
{{Caption|Finestra di dialogo per i dati della parte inferiore dell'armatura}}
 +
 
 +
9. Impostare i dati per le armature inferiori in modo simile ai dati delle armature superiori.
 +
 
 +
6. Fare clic su Avanti e la finestra di dialogo viene aggiornata come mostrato di seguito.
 +
 
 +
[[Image:BeamReinforcementDialog_LeftRebars.png|700px]]
 +
 
 +
{{Caption|Definire i dati per le barre di rinforzo sul lato sinistro.}}
 +
 
 +
11. Impostare i dati per le armature di taglio a sinistra.
 +
 
 +
<!-- HERE YOUR COLOR EXAMPLE {{ColoredParagraph|Background|ColorText|text}} -->
 +
{{ColoredParagraph|#f8f9fa|
 +
 
 +
- Per editare i valori Number#Diameter@Offset, fare clic sul pulsante accanto all'etichetta Number#Diameter@Offset. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_ShearReinforcement_NumberDiameterOffset.png|500px]]
 +
 
 +
- Per modificare il valore di Rebar Type, fare clic sul pulsante Modifica accanto all'etichetta Rebar Type. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_ShearReinforcement_RebarType.png|300px]]
 +
 
 +
- Per modificare il valore di Orientamento gancio, fare clic sul pulsante Modifica accanto all'etichetta Hook Orientation. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_ShearReinforcement_HookOrientation.png|300px]]
 +
 
 +
- Per modificare il valore dell'estensione del gancio, fare clic sul pulsante Modifica accanto all'etichetta Hook Extension. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_ShearReinforcement_HookExtension.png|300px]]
 +
 
 +
- Per modificare il valore dell'arrotondamento della barra, fare clic sul pulsante Modifica accanto all'etichetta Rounding. Appare una finestra di dialogo come mostrato di seguito.
 +
 
 +
[[Image:Beam_ShearReinforcement_LRebarRounding.png|300px]]
 +
}}
 +
 
 +
6. Fare clic su Avanti e la finestra di dialogo viene aggiornata come mostrato di seguito.
 +
 
 +
[[Image:BeamReinforcementDialog_RightRebars.png|700px]]
 +
 
 +
{{Caption|Definire i dati per le barre di rinforzo sul lato destro.}}
 +
 
 +
13. Impostare i dati per le armature di taglio a destra in modo simile ai dati delle armature di taglio a sinistra.
 +
 
 +
14. Cliccare su {{Button|OK}} o su {{Button|Applica}} per generare l'armatura.
 +
 
 +
15. Cliccare {{Button|Cancella}} per uscire dalla finestra di dialogo.
 +
 
 +
== Proprietà ==  
  
 
'''Stirrups:'''
 
'''Stirrups:'''
* {{PropertyData|Left Cover}}: The distance between the left end of the stirrup to the left face of the structure.
+
* {{PropertyData|Left Cover}}: a distanza tra l'estremità sinistra della staffa e la faccia sinistra della struttura - copriferro a sinistra.
* {{PropertyData|Right Cover}}: The distance between the right end of the stirrup to right face of the structure.
+
* {{PropertyData|Right Cover}}: la distanza tra l'estremità destra della staffa e la faccia destra della struttura - copriferro a destra.
* {{PropertyData|Top Cover}}: The distance between stirrup from the top face of the structure.
+
* {{PropertyData|Top Cover}}: la distanza tra la staffa e la faccia superiore della struttura.
* {{PropertyData|Bottom Cover}}: The distance between stirrup from the bottom face of the structure.
+
* {{PropertyData|Bottom Cover}}: la distanza tra la staffa e la faccia inferiore della struttura.
* {{PropertyData|Offset}}: The distance between stirrup from the top/bottom face of the structure.
+
* {{PropertyData|Offset}}: la distanza tra la staffa e la faccia superiore e inferiore della struttura.
* {{PropertyData|Diameter}}: Diameter of the stirrup.
+
* {{PropertyData|Diameter}}: diametro della staffa.
* {{PropertyData|Bent Angle}}: Bent angle defines the angle at the ends of a stirrup.
+
* {{PropertyData|Bent Angle}}: l'angolo dipiega definisce l'angolo alle estremità di una staffa.
* {{PropertyData|Extension Factor}}: Extension Factor defines length of end of stirrup, expressed in times the diameter.
+
* {{PropertyData|Extension Factor}}: il fattore di estensione definisce la lunghezza dell'estremità della staffa, espressa in volte il diametro.
* {{PropertyData|Number}}: The number of stirrup.
+
* {{PropertyData|Number}}: il numero di staffe.
* {{PropertyData|Spacing}}: The distance between the axes of each stirrup.
+
* {{PropertyData|Spacing}}: la distanza tra gli assi di ogni staffa.
  
  
'''Top/Bottom Reinforcement Rebars:''' Rebars present at top/bottom side of beam
+
'''Top/Bottom Reinforcement Rebars:''' barre di armatura presenti nella parte superiore e inferiore della trave
* {{PropertyData|NumberDiameterOffset}}: A tuple of Number#Diameter@Offset string. Each element of tuple represents reinforcement for each new layer.
+
* {{PropertyData|NumberDiameterOffset}}: Una tupla della stringa Number#Diameter@Offset. Ogni elemento della tupla rappresenta il rinforzo per ogni nuovo livello.
* {{PropertyData|Rebar Type}}: List of tuple of type of reinforcement bars.
+
* {{PropertyData|Rebar Type}}: Elenco di tuple del tipo di barre di rinforzo.
* {{PropertyData|Hook Orientation}}: List of tuple of orientation of LShaped hooks.
+
* {{PropertyData|Hook Orientation}}: Elenco di tuple di orientamento dei ganci a forma di L.
* {{PropertyData|Hook Extension}}: List of tuple of length of hook of LShaped rebars.
+
* {{PropertyData|Hook Extension}}: Elenco di tuple di lunghezza del gancio a forma di L delle armature.
* {{PropertyData|Rounding}}: List of tuple of a rounding value to be applied to the corners of the LShape rebars, expressed in times the diameter.
+
* {{PropertyData|Rounding}}: Elenco di tuple del valore di arrotondamento da applicare agli angoli delle armature a forma di L, espresse in volte il diametro.
* {{PropertyData|Layer Spacing}}: List of spacing between two consecutive reinforcement layers.
+
* {{PropertyData|Layer Spacing}}: Elenco di spaziatura tra due strati di rinforzo consecutivi.
  
  
Line 102: Line 159:
 
* {{PropertyData|Rebar Spacing}}: Clear spacing between consecutive reinforcement bars.
 
* {{PropertyData|Rebar Spacing}}: Clear spacing between consecutive reinforcement bars.
  
==Scripting==
+
== Script ==
  
{{Emphasis|See also:}} [[Arch API]], [[Reinforcement API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
  
The BeamReinforcement tool can be used in [[macros]] and from the [[Python]] console by using the following function:
+
The BeamReinforcement tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
  
 
=== Create Two Legged Stirrups ===
 
=== Create Two Legged Stirrups ===
 +
 
{{Code|code=
 
{{Code|code=
 
RebarGroup = makeReinforcement(
 
RebarGroup = makeReinforcement(
Line 151: Line 209:
 
}}
 
}}
  
* Creates a {{incode|RebarGroup}} object from the given {{incode|structure}}, which is an [[Arch Structure]], and {{incode|facename}}, which is a face of that structure.
+
* Creates a {{incode|RebarGroup}} object from the given {{incode|structure}}, which is an [[Arch Structure|Arch Structure]], and {{incode|facename}}, which is a face of that structure.
 
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
 
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
 
* {{incode|l_cover_of_stirrup}}, {{incode|r_cover_of_stirrup}}, {{incode|t_cover_of_stirrup}}, {{incode|b_cover_of_stirrup}} and {{incode|offset_of_stirrup}} are inner offset distances for the stirrup elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
 
* {{incode|l_cover_of_stirrup}}, {{incode|r_cover_of_stirrup}}, {{incode|t_cover_of_stirrup}}, {{incode|b_cover_of_stirrup}} and {{incode|offset_of_stirrup}} are inner offset distances for the stirrup elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
Line 201: Line 259:
 
* {{incode|left_rebars_hook_orientation}} and {{incode|right_rebars_hook_orientation}} specifies the orientation of LShaped hook; it can be {{incode|"Front Inside"}}, {{incode|"Front Outside"}}, {{incode|"Rear Inside"}} or {{incode|"Rear Outside"}}. Possible syntax are similar to as discussed above for {{incode|left_rebars_type}} / {{incode|right_rebars_type}}.
 
* {{incode|left_rebars_hook_orientation}} and {{incode|right_rebars_hook_orientation}} specifies the orientation of LShaped hook; it can be {{incode|"Front Inside"}}, {{incode|"Front Outside"}}, {{incode|"Rear Inside"}} or {{incode|"Rear Outside"}}. Possible syntax are similar to as discussed above for {{incode|left_rebars_type}} / {{incode|right_rebars_type}}.
  
==== Example ====
+
====Esempio====
 +
 
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Arch
 
import FreeCAD, Arch
Line 250: Line 309:
 
}}
 
}}
  
{{docnav|[[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars|ColumnReinforcement TwoTiesSixRebars]]|[[Arch_Rebar|Rebar]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_ColumnReinforcement.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar.png}}
+
{{docnav/it|[[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars/it|Rinforzo di colonna tipo due staffe e quattro barre]]|[[Arch_Rebar/it|Armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_ColumnReinforcement.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar.png}}
  
{{Arch Tools navi}}
+
{{Arch Tools navi/it}}
  
{{Userdocnavi}}
+
{{Userdocnavi/it}}
  
[[Category:Reinforcement]]
+
[[Category:Reinforcement/it]]

Latest revision as of 00:00, 16 October 2019

Other languages:
English • ‎français • ‎italiano
Pagina successiva: Armatura Arch Rebar.png Arrow-right.svg

Arch Rebar BeamReinforcement.svg Rinforzo trave

Posizione nel menu
Arch → Strumenti armatura
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Rinforzo di colonna due staffe sei barre, Armatura


Descrizione

Lo strumento Rinforzo di trave consente all'utente di creare delle barre di rinforzo all'interno di un oggetto Struttura Trave.

Questo comando fa parte del addon Reinforcement, che si può installare con Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar BeamReinforcement example.png

Rinforzo di trave all'interno di una Struttura trave


Utilizzo

1. Seleziona la faccia destra di un oggetto Arch Structure.svg Struttura trave precedentemente creata, avente la lunghezza sull'asse x. Oppure seleziona la faccia anteriore di un oggetto Arch Structure.svg Struttura trave precedentemente creata, avente la lunghezza sull'asse y.

2. Quindi selezionare Arch Rebar ColumnReinforcement.svg Rinforzo di trave dagli Strumenti armatura.

3. Appare una finestra di dialogo come quella mostrata sotto.

BeamReinforcementDialog Stirrups.png

Finestra di dialogo per lo strumento Rinforzo di trave


4. Selezionare il tipo desiderato di rinforzo di trave.

Fornire gli input per i dati relativi alle staffe.

6. Fare clic su Avanti e la finestra di dialogo viene aggiornata come mostrato di seguito.


BeamReinforcementDialog TopRebars.png

Finestra di dialogo per i dati della parte superiore dell'armatura


Impostare i dati per le armature superiori.

- Per editare i valori Number#Diameter@Offset, fare clic sul pulsante accanto all'etichetta Number#Diameter@Offset. Appare una finestra di dialogo come mostrato di seguito.

Beam TopReinforcement NumberDiameterOffset.png

- Per modificare il valore di Rebar Type, fare clic sul pulsante Modifica accanto all'etichetta Rebar Type. Appare una finestra di dialogo come mostrato di seguito.

Beam TopReinforcement RebarType.png

- Per modificare il valore di Orientamento gancio, fare clic sul pulsante Modifica accanto all'etichetta Hook Orientation. Appare una finestra di dialogo come mostrato di seguito.

Beam TopReinforcement HookOrientation.png

- Per modificare il valore dell'estensione del gancio, fare clic sul pulsante Modifica accanto all'etichetta Hook Extension. Appare una finestra di dialogo come mostrato di seguito.

Beam TopReinforcement HookExtension.png

- Per modificare il valore dell'arrotondamento della barra, fare clic sul pulsante Modifica accanto all'etichetta Rounding. Appare una finestra di dialogo come mostrato di seguito.

Beam TopReinforcement LRebarRounding.png

- Per modificare il valore di spaziatura dei livelli, fare clic sul pulsante Modifica accanto all'etichetta Layer Spacing. Appare una finestra di dialogo come mostrato di seguito.

Beam TopReinforcement LayerSpacing.png

6. Fare clic su Avanti e la finestra di dialogo viene aggiornata come mostrato di seguito.

BeamReinforcementDialog BottomRebars.png

Finestra di dialogo per i dati della parte inferiore dell'armatura


9. Impostare i dati per le armature inferiori in modo simile ai dati delle armature superiori.

6. Fare clic su Avanti e la finestra di dialogo viene aggiornata come mostrato di seguito.

BeamReinforcementDialog LeftRebars.png

Definire i dati per le barre di rinforzo sul lato sinistro.


11. Impostare i dati per le armature di taglio a sinistra.

- Per editare i valori Number#Diameter@Offset, fare clic sul pulsante accanto all'etichetta Number#Diameter@Offset. Appare una finestra di dialogo come mostrato di seguito.

Beam ShearReinforcement NumberDiameterOffset.png

- Per modificare il valore di Rebar Type, fare clic sul pulsante Modifica accanto all'etichetta Rebar Type. Appare una finestra di dialogo come mostrato di seguito.

Beam ShearReinforcement RebarType.png

- Per modificare il valore di Orientamento gancio, fare clic sul pulsante Modifica accanto all'etichetta Hook Orientation. Appare una finestra di dialogo come mostrato di seguito.

Beam ShearReinforcement HookOrientation.png

- Per modificare il valore dell'estensione del gancio, fare clic sul pulsante Modifica accanto all'etichetta Hook Extension. Appare una finestra di dialogo come mostrato di seguito.

Beam ShearReinforcement HookExtension.png

- Per modificare il valore dell'arrotondamento della barra, fare clic sul pulsante Modifica accanto all'etichetta Rounding. Appare una finestra di dialogo come mostrato di seguito.

Beam ShearReinforcement LRebarRounding.png

6. Fare clic su Avanti e la finestra di dialogo viene aggiornata come mostrato di seguito.

BeamReinforcementDialog RightRebars.png

Definire i dati per le barre di rinforzo sul lato destro.


13. Impostare i dati per le armature di taglio a destra in modo simile ai dati delle armature di taglio a sinistra.

14. Cliccare su OK o su Applica per generare l'armatura.

15. Cliccare Cancella per uscire dalla finestra di dialogo.

Proprietà

Stirrups:

  • DATALeft Cover: a distanza tra l'estremità sinistra della staffa e la faccia sinistra della struttura - copriferro a sinistra.
  • DATARight Cover: la distanza tra l'estremità destra della staffa e la faccia destra della struttura - copriferro a destra.
  • DATATop Cover: la distanza tra la staffa e la faccia superiore della struttura.
  • DATABottom Cover: la distanza tra la staffa e la faccia inferiore della struttura.
  • DATAOffset: la distanza tra la staffa e la faccia superiore e inferiore della struttura.
  • DATADiameter: diametro della staffa.
  • DATABent Angle: l'angolo dipiega definisce l'angolo alle estremità di una staffa.
  • DATAExtension Factor: il fattore di estensione definisce la lunghezza dell'estremità della staffa, espressa in volte il diametro.
  • DATANumber: il numero di staffe.
  • DATASpacing: la distanza tra gli assi di ogni staffa.


Top/Bottom Reinforcement Rebars: barre di armatura presenti nella parte superiore e inferiore della trave

  • DATANumberDiameterOffset: Una tupla della stringa Number#Diameter@Offset. Ogni elemento della tupla rappresenta il rinforzo per ogni nuovo livello.
  • DATARebar Type: Elenco di tuple del tipo di barre di rinforzo.
  • DATAHook Orientation: Elenco di tuple di orientamento dei ganci a forma di L.
  • DATAHook Extension: Elenco di tuple di lunghezza del gancio a forma di L delle armature.
  • DATARounding: Elenco di tuple del valore di arrotondamento da applicare agli angoli delle armature a forma di L, espresse in volte il diametro.
  • DATALayer Spacing: Elenco di spaziatura tra due strati di rinforzo consecutivi.


Left/Right Reinforcement Rebars: Rebars present at left/right side of beam

  • DATANumberDiameterOffset: String of Number#Diameter@Offset set for reinforcement bars.
  • DATARebar Type: List of type of reinforcement bars.
  • DATAHook Orientation: List of orientation of LShaped hooks.
  • DATAHook Extension: List of length of hook of LShaped rebars.
  • DATARounding: List of a rounding value to be applied to the corners of the LShape rebars, expressed in times the diameter.
  • DATARebar Spacing: Clear spacing between consecutive reinforcement bars.

Script

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The BeamReinforcement tool can be used in macros and from the Python console by using the following function:

Create Two Legged Stirrups

RebarGroup = makeReinforcement(
    l_cover_of_stirrup,
    r_cover_of_stirrup,
    t_cover_of_stirrup,
    b_cover_of_stirrup,
    offset_of_stirrup,
    bent_angle,
    extension_factor,
    dia_of_stirrup,
    number_spacing_check,
    number_spacing_value,
    top_reinforcement_number_diameter_offset,
    top_reinforcement_rebar_type,
    top_reinforcement_layer_spacing,
    bottom_reinforcement_number_diameter_offset,
    bottom_reinforcement_rebar_type,
    bottom_reinforcement_layer_spacing,
    left_rebars_number_diameter_offset,
    left_rebars_type,
    left_rebars_spacing,
    right_rebars_number_diameter_offset,
    right_rebars_type,
    right_rebars_spacing,
    top_reinforcement_l_rebar_rounding=2,
    top_reinforcement_hook_extension=40,
    top_reinforcement_hook_orientation="Front Inside",
    bottom_reinforcement_l_rebar_rounding=2,
    bottom_reinforcement_hook_extension=40,
    bottom_reinforcement_hook_orientation="Front Inside",
    left_l_rebar_rounding=2,
    left_rebars_hook_extension=40,
    left_rebars_hook_orientation="Front Inside",
    right_l_rebar_rounding=2,
    right_rebars_hook_extension=40,
    right_rebars_hook_orientation="Front Inside",
    structure=None,
    facename=None,
)
  • Creates a RebarGroup object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • l_cover_of_stirrup, r_cover_of_stirrup, t_cover_of_stirrup, b_cover_of_stirrup and offset_of_stirrup are inner offset distances for the stirrup elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
  • bent_angle define the angle of the tip of the reinforcement loop of stirrup.
  • extension_factor define the length of the tip of the reinforcement loop of stirrup, expressed in times the diameter.
  • dia_of_stirrup is the diameter of the stirrup.
  • number_spacing_check if it is True it will create as many stirrup as given by number_spacing_value; if it is False it will create stirrup separated by the numerical value of number_spacing_value.
  • number_spacing_value specifies the number of stirrups, or the value of the separation between them, depending on number_spacing_check.
  • top_reinforcement_number_diameter_offset and bottom_reinforcement_number_diameter_offset are tuple of number_diameter_offset string. Each element of tuple represents reinforcement for each new layer.
   Syntax: (
               "number1#diameter1@offset1+number2#diameter2@offset2+...",
               "number3#diameter3@offset3+number4#diameter4@offset4+...",
               ...,
           )
  • top_reinforcement_rebar_type and bottom_reinforcement_rebar_type specifies type of top/bottom reinforcement bars.
   Possible values:
   1. 'StraightRebar' or 'LShapeRebar'
   2. ('<rebar_type>', '<rebar_type>', ...) and number of elements of tuple must be equal to number of reinforcement
      layers.
   3. [
          ('<rebar_type>', '<rebar_type>', ...),
          ('<rebar_type>', '<rebar_type>', ...),
          ...,
      ]
      each element of list is a tuple, which specifies rebar type of each reinforcement layer. And each element of
      tuple represents rabar_type for each set of rebars.
   4. [
          <rebar_type>,
          ('<rebar_type>', '<rebar_type>', ...),
          ...,
      ]
  • top_reinforcement_layer_spacing and bottom_reinforcement_layer_spacing is the spacing between two consecutive reinforcement layers.
   Possible values:
   1. <layer_spacing>
   2. (<spacing in layer1 and layer2>, <spacing in layer2 and layer3>, ...) and number of elements of tuple must be
      equal to one less than number of layers.
  • left_rebars_number_diameter_offset and right_rebars_number_diameter_offset are string of number_diameter_offset.
   Syntax: "number1#diameter1@offset1+number2#diameter2@offset2+..."
  • left_rebars_type and right_rebars_type specifies type of left/right reinforcement bars.
   Possible values:
   1. 'StraightRebar' or 'LShapeRebar'
   2. ('<rebar_type>', '<rebar_type>', ...) and each element of tuple represents rabar_type for each set of rebars.
  • left_rebars_spacing and right_rebars_spacing is clear spacing between consecutive reinforcement bars.
  • top_reinforcement_l_rebar_rounding and bottom_reinforcement_l_rebar_rounding is the parameter that determines the bending radius of the LShaped top/bottom rebars, expressed as times the diameter. Possible syntax are similar to as discussed above for top_reinforcement_rebar_type / bottom_reinforcement_rebar_type.
  • top_reinforcement_hook_extension and bottom_reinforcement_hook_extension is the length of hook of LShaped rebars. Possible syntax are similar to as discussed above for top_reinforcement_rebar_type / bottom_reinforcement_rebar_type.
  • top_reinforcement_hook_orientation and bottom_reinforcement_hook_orientation specifies the orientation of LShaped hook; it can be "Front Inside", "Front Outside", "Rear Inside" or "Rear Outside". Possible syntax are similar to as discussed above for top_reinforcement_rebar_type / bottom_reinforcement_rebar_type.
  • left_l_rebar_rounding and right_l_rebar_rounding is the parameter that determines the bending radius of the LShaped left/right rebars, expressed as times the diameter. Possible syntax are similar to as discussed above for left_rebars_type / right_rebars_type.
  • left_rebars_hook_extension and right_rebars_hook_extension is the length of hook of LShaped rebars. Possible syntax are similar to as discussed above for left_rebars_type / right_rebars_type.
  • left_rebars_hook_orientation and right_rebars_hook_orientation specifies the orientation of LShaped hook; it can be "Front Inside", "Front Outside", "Rear Inside" or "Rear Outside". Possible syntax are similar to as discussed above for left_rebars_type / right_rebars_type.

Esempio

import FreeCAD, Arch
from BeamReinforcement import TwoLeggedBeam

Structure = Arch.makeStructure(length=3000.0,width=200.0,height=400.0)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

RebarGroup = TwoLeggedBeam.makeReinforcement(
    l_cover_of_stirrup=20,
    r_cover_of_stirrup=20,
    t_cover_of_stirrup=20,
    b_cover_of_stirrup=20,
    offset_of_stirrup=100,
    bent_angle=135,
    extension_factor=4,
    dia_of_stirrup=8,
    number_spacing_check=False,
    number_spacing_value=200,
    top_reinforcement_number_diameter_offset=("1#20@-60+2#16@-60+1#20@-60", "3#16@-100"),
    top_reinforcement_rebar_type="LShapeRebar",
    top_reinforcement_layer_spacing=30,
    bottom_reinforcement_number_diameter_offset=("1#20@-60+2#16@-60+1#20@-60", "3#16@-100"),
    bottom_reinforcement_rebar_type="LShapeRebar",
    bottom_reinforcement_layer_spacing=30,
    left_rebars_number_diameter_offset="1#16@-100+1#16@-100+1#16@-100",
    left_rebars_type="LShapeRebar",
    left_rebars_spacing=30,
    right_rebars_number_diameter_offset="1#16@-100+1#16@-100+1#16@-100",
    right_rebars_type="LShapeRebar",
    right_rebars_spacing=30,
    top_reinforcement_l_rebar_rounding=2,
    top_reinforcement_hook_extension=100,
    top_reinforcement_hook_orientation="Rear Outside",
    bottom_reinforcement_l_rebar_rounding=2,
    bottom_reinforcement_hook_extension=100,
    bottom_reinforcement_hook_orientation="Rear Outside",
    left_l_rebar_rounding=2,
    left_rebars_hook_extension=80,
    left_rebars_hook_orientation=("Rear Inside", "Front Inside", "Rear Inside"),
    right_l_rebar_rounding=2,
    right_rebars_hook_extension=80,
    right_rebars_hook_orientation=("Front Inside", "Rear Inside", "Front Inside"),
    structure=Structure,
    facename="Face6",
)
Pagina successiva: Armatura Arch Rebar.png Arrow-right.svg